Search for %s
- Search 7.x for %s
- Search 9.5.x for %s
- Search 10.3.x for %s
- Search 11.x for %s
- Search main for %s
- Other projects
| Title | Object type | File name | Summary |
|---|---|---|---|
| TableSortExtenderTest | class | core/ |
Tests table sorting. |
| TableSortExtenderTest.php | file | core/ |
|
| TableSortExtenderTest::testTableSortInit | function | core/ |
Tests \Drupal\Core\Utility\TableSort::getContextFromRequest(). |
| TableSortLegacyTest | class | core/ |
Deprecation tests cases for the tablesort.inc file functions. |
| TableSortLegacyTest.php | file | core/ |
|
| TableSortLegacyTest::testHeader | function | core/ |
Tests deprecation of the tablesort_header() function. |
| TableSortLegacyTest::testInit | function | core/ |
Tests deprecation of the tablesort_init() function. |
| TableSortLegacyTest::testOrder | function | core/ |
Tests deprecation of the tablesort_get_order() function. |
| TableSortLegacyTest::testQueryParameters | function | core/ |
Tests deprecation of the tablesort_get_query_parameters() function. |
| TableSortLegacyTest::testSort | function | core/ |
Tests deprecation of the tablesort_get_sort() function. |
| tablesort_get_order | function | core/ |
Determines the current sort criterion. |
| tablesort_get_query_parameters | function | core/ |
Composes a URL query parameter array for table sorting links. |
| tablesort_get_sort | function | core/ |
Determines the current sort direction. |
| tablesort_header | function | core/ |
Formats a column header. |
| tablesort_init | function | core/ |
Initializes the table sort context. |
| TableTest | class | core/ |
Tests built-in table theme functions. |
| TableTest.php | file | core/ |
|
| TableTest::$modules | property | core/ |
Modules to enable. |
| TableTest::testThemeTableFooter | function | core/ |
Test that the 'footer' option works correctly. |
| TableTest::testThemeTableHeaderCellOption | function | core/ |
Tests that the 'header' option in cells works correctly. |
| TableTest::testThemeTableHeaderRenderArray | function | core/ |
Tests header elements with a mix of string and render array values. |
| TableTest::testThemeTableNoStickyHeaders | function | core/ |
If $sticky is FALSE, no tableheader.js should be included. |
| TableTest::testThemeTableNotResponsiveHeaders | function | core/ |
Tests that the 'responsive-table' class is not applied without headers. |
| TableTest::testThemeTableNotResponsiveProperty | function | core/ |
Tests that 'responsive-table' class only applied when responsive is TRUE. |
| TableTest::testThemeTableResponsive | function | core/ |
Tests that the 'responsive-table' class is applied correctly. |
| TableTest::testThemeTableResponsivePriority | function | core/ |
Tests 'priority-medium' and 'priority-low' classes. |
| TableTest::testThemeTableRowRenderArray | function | core/ |
Tests row elements with a mix of string and render array values. |
| TableTest::testThemeTableStickyHeaders | function | core/ |
Tableheader.js provides 'sticky' table headers, and is included by default. |
| TableTest::testThemeTableTitle | function | core/ |
Tests that the select/checkbox label is being generated and escaped. |
| TableTest::testThemeTableWithEmptyMessage | function | core/ |
Tests that the table header is printed correctly even if there are no rows, and that the empty text is displayed correctly. |
| TableTest::testThemeTableWithNoStriping | function | core/ |
Tests that the 'no_striping' option works correctly. |
| tabs.css | file | core/ |
/*! * jQuery UI Tabs 1.12.1 * http://jqueryui.com * * Copyright jQuery Foundation and other contributors * Released under the MIT license. * http://jquery.org/license * * http://api.jqueryui.com/tabs/#theming */ .ui-tabs { position:… |
| tabs.css | file | core/ |
/* * DO NOT EDIT THIS FILE. * See the following change record for more information, * https://www.drupal.org/node/2815083 * @preserve */ /** * Tabs. */ :root { /** * Tabs. */ /* 48px */ /* 40px */ } .tabs-wrapper > nav { width:… |
| tabs.css | file | core/ |
/* --------------- System Tabs --------------- */ div.tabs { margin-bottom: 20px; font-family: "Helvetica Neue", Helvetica, Arial, sans-serif; } .tabs ul.primary { font-family: "Helvetica Neue", Helvetica, Arial,… |
| tabs.css | file | core/ |
Visual styles for tabs. |
| tabs.css | file | core/ |
/** * Tabs. */ .is-collapse-enabled .tabs, .is-horizontal .tabs { position: relative; } .is-collapse-enabled .tabs:before, .is-horizontal .tabs:before { position: absolute; z-index: 10; right: 0; bottom: 0; left: 0; display: block; … |
| tabs.css | file | core/ |
Visual styles for tabs. |
| tabs.css | file | core/ |
Visual styles for tabs. |
| tabs.css | file | core/ |
Visual styles for tabs. |
| tabs.css | file | core/ |
Visual styles for tabs. |
| tabs.pcss.css | file | core/ |
/** * Tabs. */ @import "../base/variables.pcss.css"; :root { /** * Tabs. */ --tabs-border-radius-size: var(--base-border-radius); --tabs--hover-height: 3px; --tabs--focus-height: 3px; --tabs--active-height: 3px; … |
| Tag::summaryTitle | function | core/ |
Return a string to display as the clickable title for the access control. |
| TaggedHandlersPass | class | core/ |
Collects services to add/inject them into a consumer service. |
| TaggedHandlersPass.php | file | core/ |
|
| TaggedHandlersPass::process | function | core/ |
Finds services tagged with 'service_collector' or 'service_id_collector', then finds all corresponding tagged services. |
| TaggedHandlersPass::processServiceCollectorPass | function | core/ |
Processes a service collector service pass. |
| TaggedHandlersPass::processServiceIdCollectorPass | function | core/ |
Processes a service collector ID service pass. |
| TaggedHandlersPassTest | class | core/ |
@coversDefaultClass \Drupal\Core\DependencyInjection\Compiler\TaggedHandlersPass[[api-linebreak]] @group DependencyInjection |
| TaggedHandlersPassTest.php | file | core/ |
Contains \Drupal\Tests\Core\DependencyInjection\Compiler\TaggedHandlersPassTest. |
| TaggedHandlersPassTest::buildContainer | function | core/ |
Pagination
- Previous page
- Page 1184
- Next page
Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.